#### NAME

vadduser - add a virtual user to a domain

#### SYNOPSYS

vadduser [email address] [password] [-a] [-q hard quota in bytes]

#### DESCRIPTION

Adds a new user to a virtual domain. No additional modifications to the system are required. The account becomes active immediately.

#### OPTIONS

[email address]
  The new email address of the user. Requires the domain name as well as the user name. For example: user@domain.com. If the domain name is not specified the user is added to the default domain.

[password]
  Set the password for the user. If the password is not supplied on the command line then vadduser will prompt standard in for the password. The password must be typed in twice.

[-a]
  Set the account to use APOP instead of the default POP.

[-q quota in bytes]
  Set the hard quota limit for the user. If not supplied then the default system hard quota limit is set. The default limit is either 50M or what ever is set via --enable-hardquota. If set to NOQUOTA then the user will have no quota limit.

#### RETURN VALUE

0 if all steps were successful, non-zero otherwise. If any of the steps fail, a diagnostic message is printed.

#### SEE ALSO

`vdeluser`
`vpasswd`
`vsetuserquota`
`vpopmail`

#### NOTES

User account becomes active immediately.

Must be run as root or vpopmail user. If no domain is specified then must be run as root.

#### AUTHOR

AUTHORS